Create a new course (recorded or cohort-based) for your school
Authentication with the “FERMION-API-KEY” header is required to use this endpoint.
Rate limit: Maximum 60 requests in a window of 1m.
curl --request POST \
--url https://backend.codedamn.com/api/public/create-course \
--header 'Content-Type: application/json' \
--header 'FERMION-API-KEY: <api-key>' \
--data '
{
"data": [
{
"data": {
"title": "<string>",
"shortDescription": "<string>",
"longDescription": "<string>",
"goals": [
"<string>"
],
"courseSpecificData": {
"type": "CohortBasedCourse",
"cohortStartAt": "<string>",
"cohortEndAt": "<string>",
"cohortEnrollmentEndAt": "<string>"
},
"thumbnailUrl": "<string>",
"enrollmentValidityInHours": 2,
"isSyllabusVisibleOnCourseLandingPage": true,
"isCourseItemDiscussionEnabled": true,
"shouldOnlyAllowManualEnrollmentsBySchoolAdmin": true,
"status": "Draft",
"faqs": [
{
"questionMarkdown": "<string>",
"answerMarkdown": "<string>"
}
],
"reviews": [
{
"ratingOutOf10": 123,
"reviewContent": "<string>",
"nameOfReviewer": "<string>",
"titleOfReviewer": "<string>",
"workplaceOfReviewer": "<string>",
"profilePictureUrlOfReviewer": "<string>"
}
]
}
}
]
}
'[
{
"output": {
"status": "ok",
"data": {
"fermionDigitalProductId": "<string>",
"slug": "<string>"
}
}
}
]API Request Body
Show child attributes
Show child attributes
Title of the course
1Brief description of the course
Detailed description of the course
Array of learning goals/outcomes for the course
Course type specific data
Show child attributes
Type of course - CohortBasedCourse for scheduled cohorts
CohortBasedCourse Cohort start date
Cohort end date
Cohort enrollment end date (optional)
URL of the course thumbnail image (optional, will use default placeholder if not provided)
Number of hours the enrollment is valid for after purchase (optional)
x >= 1Whether the course syllabus should be visible on the landing page (optional)
Whether discussions are enabled for course items (optional)
Only admins can enroll students in this course (optional, default: false)
Initial status of the course (defaults to Draft)
Draft, Active, Unlisted Array of review objects for the course landing page (optional)
Show child attributes
Rating out of 10
Review text content
Name of the reviewer
Job title of the reviewer (optional)
Workplace/company of the reviewer (optional)
URL of the reviewer profile picture (optional)
API Response Body
Show child attributes
curl --request POST \
--url https://backend.codedamn.com/api/public/create-course \
--header 'Content-Type: application/json' \
--header 'FERMION-API-KEY: <api-key>' \
--data '
{
"data": [
{
"data": {
"title": "<string>",
"shortDescription": "<string>",
"longDescription": "<string>",
"goals": [
"<string>"
],
"courseSpecificData": {
"type": "CohortBasedCourse",
"cohortStartAt": "<string>",
"cohortEndAt": "<string>",
"cohortEnrollmentEndAt": "<string>"
},
"thumbnailUrl": "<string>",
"enrollmentValidityInHours": 2,
"isSyllabusVisibleOnCourseLandingPage": true,
"isCourseItemDiscussionEnabled": true,
"shouldOnlyAllowManualEnrollmentsBySchoolAdmin": true,
"status": "Draft",
"faqs": [
{
"questionMarkdown": "<string>",
"answerMarkdown": "<string>"
}
],
"reviews": [
{
"ratingOutOf10": 123,
"reviewContent": "<string>",
"nameOfReviewer": "<string>",
"titleOfReviewer": "<string>",
"workplaceOfReviewer": "<string>",
"profilePictureUrlOfReviewer": "<string>"
}
]
}
}
]
}
'[
{
"output": {
"status": "ok",
"data": {
"fermionDigitalProductId": "<string>",
"slug": "<string>"
}
}
}
]